using System.Reflection.Emit;

namespace netit;


// TransportDefinition
// Defines identifiers of each packet by type (basically the first byte of every packet indicated that packets type)
public class TransportDefinition
{
    private string[] _packetTypes;
    public string[] packetTypes { get => _packetTypes; }
    public TransportDefinition()
    {
        this._packetTypes = new string[256];
    }

    public void addType(INetSerializeable type)
    {
        //a parameter for 
        if (_packetTypes.Length >= 256) throw new Exception("Packet type limit reached.");
    }
}
